Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkJavaAwt.h File Reference

`#include "jawt_md.h"`

Include dependency graph for vtkJavaAwt.h:

Go to the source code of this file.

## Defines

#define | VTK_JAVA_DEBUG

## Functions

JNIEXPORT jint JNICALL | Java_vtk_vtkPanel_RenderCreate (JNIEnv *env, jobject canvas, jobject id0)
JNIEXPORT jint JNICALL | Java_vtk_vtkPanel_Lock (JNIEnv *env, jobject canvas)
JNIEXPORT jint JNICALL | Java_vtk_vtkPanel_UnLock (JNIEnv *env, jobject canvas)

## Define Documentation

#define VTK_JAVA_DEBUG

| Definition at line 19 of file vtkJavaAwt.h.

## Function Documentation

JNIEXPORT jint JNICALL Java_vtk_vtkPanel_RenderCreate | ( | JNIEnv * | env,
|  | jobject | canvas,
|  | jobject | id0
| ) |

| Definition at line 22 of file vtkJavaAwt.h. References vtkRenderWindow::SetDisplayId(), vtkRenderWindow::SetParentId(), and vtkRenderWindow::SetWindowId().

JNIEXPORT jint JNICALL Java_vtk_vtkPanel_Lock | ( | JNIEnv * | env,
|  | jobject | canvas
| ) |

| Definition at line 118 of file vtkJavaAwt.h.

JNIEXPORT jint JNICALL Java_vtk_vtkPanel_UnLock | ( | JNIEnv * | env,
|  | jobject | canvas
| ) |

| Definition at line 163 of file vtkJavaAwt.h.